Summary: 	an ABI checking tool
Name: 		abicheck
Version: 	1.2
Release: 	0.fdr.2.rh80
Epoch: 		0
License: 	LGPL
Group: 		Applications/File
URL: 		http://abicheck.sourceforge.net/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	binutils perl

# -----------------------------------------------------------------------------

%description
abicheck is a tool that checks application binary executables and
shared libraries for conformance to the (or an) ABI (Application
Binary Interface).

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
make 
make test

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0755 abicheck $RPM_BUILD_ROOT%{_bindir}
install -m 0644 abicheck.1 $RPM_BUILD_ROOT%{_mandir}/man1

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INTRO README
%{_bindir}/abicheck
%{_mandir}/man1/abicheck.1*

# -----------------------------------------------------------------------------

%changelog
* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.2
- Added missing Requires

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.1
- Updated to 1.2
- Dropped patch (applied upstream)

* Sat Aug 23 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.2
- Aplied patch from Michael Schwendt (bug #605 comment #1)

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 
- Initial build.
